Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List translations

Lists translations (minimal fields) with pagination.

GET/api/v2/{team_slug}/{app_slug}/translations
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring
translation-idstring[]

Repeatable translation id

ref-idstring[]

Repeatable parent entity id

fieldstring[]

Repeatable field name

localestring[]

Repeatable locale

parent-typestring[]

Repeatable parent entity type

Responses
200

OK

dataTranslationEntryBase[]required
Show properties
Array of TranslationEntryBase
idUUIDrequired
ref_idUUIDrequired
parent_typestringrequired
fieldstringrequired
localestringrequired
valuestringrequired
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/translations' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "ref_id": "58ed4a6c-926f-4b2f-b688-ecd86db2ed34",
      "parent_type": "string",
      "field": "string",
      "locale": "string",
      "value": "string"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}